import jaggl.OpenGL;

public class Class147_Sub3 extends Class147 {

   int anInt9898;


   void method15432(boolean var1) {
      this.aClass545_Sub1_1704.method14725(this);
      OpenGL.glTexParameteri(this.anInt1702, 10242, var1?10497:'\u812f');
   }

   void method15433(boolean var1) {
      this.aClass545_Sub1_1704.method14725(this);
      OpenGL.glTexParameteri(this.anInt1702, 10242, var1?10497:'\u812f');
   }

   Class147_Sub3(Class545_Sub1 var1, Class98 var2, Class91 var3, int var4, byte[] var5, Class98 var6) {
      super(var1, 3552, var2, var3, var4, false);
      this.anInt9898 = var4;
      this.aClass545_Sub1_1704.method14725(this);
      OpenGL.glPixelStorei(3317, 1);
      OpenGL.glTexImage1Dub(this.anInt1702, 0, Class545_Sub1.method14609(this.aClass98_1707, this.aClass91_1703), this.anInt9898, 0, Class545_Sub1.method14567(var6), 5121, var5, 0);
      OpenGL.glPixelStorei(3317, 4);
      this.method2694(true);
   }
}
